Spec0docs
API Reference

Create or fetch default mock server for API

POST
/api-management/cli/v1/mocks

Header Parameters

X-Org-Id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api-management/cli/v1/mocks" \  -H "X-Org-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "mockServerId": "ab6f0051-1ea2-4f26-bcfb-0e9ea431b824",
  "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  "apiName": "string",
  "name": "string",
  "mockBaseUrl": "string",
  "created": true,
  "apiKey": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string"
}